<template>
  <component :is="settings.linkProps? 'extLink':'div'" class="table-container" :class="{'linked': settings.linkProps}" :style="settings.style" :linkProps="settings.linkProps">
    <div class="table-col" v-for="(col, index) in settings.cols" :key="index" :style="col.style">
      <component :is="col.linkProps? 'extLink':'pre'" :class="[{ 'link': col.linkProps }, 'pre-'+index, col.class]" :linkProps="col.linkProps">
        {{ col.text || col }}
      </component>
    </div>
  </component>
</template>

<script>
import extLink from './ExtLink.vue';
export default {
  props: {
    settings: {
      type: Object,
      cols: ["Text", "Text", "Text"],
    },
  },
  components: {
    extLink
  }
};
</script>

<style lang="scss" scoped>
.table-container {
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  width: 100%;
  min-height: 3.375rem;
  border: 2px solid $thor-divider-border-color;
  border-radius: 0.5rem;
  padding: 0 1rem;

  &.linked {
    cursor: pointer;

    &:hover {
      background: $thor-blue-color;
  
      pre {
        color: $thor-dark-color !important;
      }
    }
  }

  .table-col {
    color: $thor-white-font-color;
    font-size: 1.125rem;
    line-height: 1.5rem;
    font-weight: 700;
    font-style: normal;
    flex: 1 0;

    .link {
      color: $thor-blue-color;
    }

    pre {
      color: inherit $thor-white-font-color;
      font-family: "Roboto";
      white-space: inherit;
      margin: 0.78rem 0;

      &.center {
        text-align: center;
      }
    }

    &:last-of-type {
      pre {
        text-align: right;
        flex: 1 1;

        &.center {
          text-align: center;
        }
      }
    }
  }
}
</style>